      integer function store(line_min,line_max,out,
     &                       image_size,exists)
      include 'takagi.h'
      include 'strain.h'
      include 'store.h'
      common /impc/titre
      character * 80 titre
      common /impe/image_file
      character *40 image_file
*
*     Compute the image from the takagi function                 
*     On multiple processors machines, wait for takagi function and
*     order the data as they arrive 
*
      integer line_min,line_max,image_size
      include 'image_array.h'
      logical exists
      integer ir, i, line
*
      if(exists.neqv..true.) then
          open(unit=20,file=image_file,access='direct',
     &         recl=mot*image_size,status='new',iostat=ir)
          if(ir.ne.0) then
             write(*,*) 'error creating ',image_file
             store = -1
             return
          endif
          write(unit=20,rec=1)image_size
          if (image_size.lt.20) then
             write(unit=20,rec=2) titre(1:mot*image_size) 
          else
             write(unit=20,rec=2) titre
          endif
          write(unit=20,rec=3)image_size,0
          exists=.true.
      else
          open(unit=20,file=image_file,access='direct',
     &         recl=mot*image_size,status='old',iostat=ir)
          if(ir.ne.0) then
             write(*,*) 'error opening ',image_file
             store = -1
             return
          endif
      endif
*
      do line=1,line_max-line_min + 1
           write(unit=20,rec=line_min+line+2)
     &     (out(line,i),i=1,image_size)
      enddo
      write(unit=20,rec=3)image_size,line_max 
      close(unit=20)
      store = 0           
      return
      end
